Page MenuHomePhabricator

There is no way to distinguish old and new notifications in mobile
Closed, ResolvedPublic

Description

Echo notifications in desktop offer a different visual treatment for old and new notifications. The old ones are grayed out, so it is easy to see which are the new ones.

However, in mobile there is no such visual cue. Users rely basically on their own memory.

Event Timeline

QuimGil created this task.Nov 25 2015, 8:47 AM
QuimGil raised the priority of this task from to Needs Triage.
QuimGil updated the task description. (Show Details)
QuimGil added a subscriber: QuimGil.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 25 2015, 8:47 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Jhernandez triaged this task as High priority.Nov 26 2015, 6:16 PM
Jhernandez added a subscriber: Jhernandez.
bmansurov set Security to None.

I can't seem to find the issue described. In both the desktop and mobile interfaces, unread notifications are in bold while read notifications are not. Has this issue already been fixed or am I not understanding something?

@nicoco007,

On desktop the notifications look like this:


The bottom two are greyed out because they've been read. The top one is new.

On mobile the same notifications look like this:


As you see, there is nothing that distinguishes the new notification from the old ones.

Change 260943 had a related patch set uploaded (by Nicoco007):
Unread notifications now visible

https://gerrit.wikimedia.org/r/260943

@bmansurov Could you check out the Gerrit change? I saw your comments and updated my code accordingly.

bmansurov closed this task as Resolved.Dec 28 2015, 2:11 AM
bmansurov claimed this task.

@nicoco007, thanks for the fix!

Change 260943 merged by jenkins-bot:
Unread notifications now visible

https://gerrit.wikimedia.org/r/260943